﻿using System;
using TicTacToe.Model.Model;

namespace TicTacToe.Model.Interfaces
{
    public interface IStatisitcsRepository
    {
        Statistics GetUserStatistics(Guid userId);

        void AddWonGames(Guid userId, int amount);

        void AddLostGames(Guid userId, int amount);

        void AddGamesPlayed(Guid userId, int amount);

        void AddDrawGames(Guid userId, int amount);

        void AddLeaves(Guid userId, int amount);

        void MoveStatisticToNewUser(Guid statisticsId, Guid toUserId);
    }
}
