﻿using System;
using System.Collections.Generic;
using TicTacToe.Model.Model;

namespace TicTacToe.Model.Interfaces
{
    public interface IUserRepository
    {
        IEnumerable<User> GetAllUsers();

        User GetUserById(Guid id);

        User GetUserByEmail(string email);

        void CreateUser(User user);

        bool IsUserExists(string email);

        bool IsUserExists(Guid id);
    }
}