namespace TicTacToe.Model.Migrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class StatisticToUserForeingKeyRemoved : DbMigration
    {
        public override void Up()
        {
            DropForeignKey("dbo.Statistics", "UserId", "dbo.Users");
            DropIndex("dbo.Statistics", new[] { "UserId" });
        }
        
        public override void Down()
        {
            CreateIndex("dbo.Statistics", "UserId");
            AddForeignKey("dbo.Statistics", "UserId", "dbo.Users", "Id", cascadeDelete: true);
        }
    }
}
