﻿using TicTacToe.Model.Interfaces;

namespace TicTacToe.Model.Model
{
    public class InnerFieldItem : IFieldItem
    {
        public InnerFieldItem()
        {
            State = InnerFieldItemState.Empty;
        }

        public InnerFieldItemState State { get; private set; }

        public bool IsX { get { return State == InnerFieldItemState.X; } }

        public bool IsO { get { return State == InnerFieldItemState.O; } }

        public bool IsEmpty { get { return State == InnerFieldItemState.Empty; } }

        public void MakeX()
        {
            State = InnerFieldItemState.X;
        }

        public void MakeO()
        {
            State = InnerFieldItemState.O;
        }
    }
}
