﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace TicTacToe.Service.DataContracts
{
    [DataContract]
    public enum StepStatus
    {
        [EnumMember]
        WaitForNextPlayerStep,

        [EnumMember]
        WrongGameId,

        [EnumMember]
        WrongPlayerId,

        [EnumMember]
        WrongPlayerMakeStep,

        [EnumMember]
        UnhandledError,

        [EnumMember]
        YouWin,

        [EnumMember]
        WrongInnerFieldStep,

        [EnumMember]
        WrongOuterFieldStep,

        [EnumMember]
        Draw,

        [EnumMember]
        OpponentDisconnected,

        [EnumMember]
        YourTurn
    }
}
