﻿using System.Security.Principal;
using System.Web;

namespace TicTacToe.WebServiceHost.Authentication
{
    public interface IAuthentication
    {
        HttpContext HttpContext { get; set; }

        IPrincipal CurrentUser { get; }

        User Login(string email, string password);

        void Logout();
    }
}