﻿namespace TicTacToe.Common.Security
{
    public class BCryptHashGenerator : IHashGenerator
    {
        public string GenerateHash(string input)
        {
            return BCrypt.Net.BCrypt.HashPassword(input);
        }

        public bool IsValid(string input, string hash)
        {
            return BCrypt.Net.BCrypt.Verify(input, hash);
        }
    }
}