﻿using System.Security.Cryptography;
using System.Text;

namespace TicTacToe.Common.Security
{
    public class MD5HashGenerator : IHashGenerator
    {
        public string GenerateHash(string input)
        {
            var md5 = MD5.Create();
            byte[] inputBytes = Encoding.ASCII.GetBytes(input);
            byte[] hash = md5.ComputeHash(inputBytes);

            var sb = new StringBuilder();
            for (int i = 0; i < hash.Length; i++)
            {
                sb.Append(hash[i].ToString("x2"));
            }

            return sb.ToString();
        }

        public bool IsValid(string plain, string hash)
        {
            return this.GenerateHash(plain) == hash;
        }
    }
}