﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.ServiceModel;
using System.ServiceModel.Description;
using TicTacToe.Service;

namespace TicTacToe.ConsoleServiceHost
{
    class Program
    {
        static void Main(string[] args)
        {
            using (ServiceHost service = new ServiceHost(typeof(TicTacToeService)))
            {
                service.Opened += service_Opened;
                service.Closed += service_Closed;
                service.Open();
                //Console.WriteLine("Press any key to stop service");
                Console.ReadKey();
            }
        }

        static void service_Closed(object sender, EventArgs e)
        {
            //Console.WriteLine("Service closed");
        }

        static void service_Opened(object sender, EventArgs e)
        {
            //Console.WriteLine("Service opened");
        }
    }
}
