﻿using System;
using System.Collections.Generic;
using TicTacToe.Model.Model;

namespace TicTacToe.Model.Interfaces
{
    public interface IGamesRepository
    {
        void AddGame(Game game);

        Game GetGame(Guid gameId);

        void RemoveGame(Guid gameId);

        IEnumerable<Game> GetAllGames();

        bool ContainsGame(Guid id);
    }
}
