﻿using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace TicTacToe.Model.Model
{
    public class Session
    {
        [Key]
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public Guid Id { get; set; }

        [Required]
        public string SessionToken { get; set; }

        [Required]
        public DateTime ExpirationDate { get; set; }

        [Required]
        public Guid UserId { get; set; }
    }
}