﻿using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace TicTacToe.Model.Model
{
    public class Statistics
    {
        [Key]
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public Guid Id { get; set; } 

        [Required]
        public Guid UserId { get; set; }
        
        [Required]
        public int GamesPlayed { get; set; }

        [Required]
        public int WonGames { get; set; }

        [Required]
        public int LostGames { get; set; }

        [Required]
        public int DrawGames { get; set; }

        [Required]
        public int Leaves { get; set; }
    }
}
