﻿using System.Runtime.Serialization;

namespace TicTacToe.Service.DataContracts
{
    [DataContract]
    public class RegistrationResult
    {
        public RegistrationResult(bool isSuccess, string message = null)
        {
            IsSuccess = isSuccess;
            Message = message;
        }

        [DataMember]
        public bool IsSuccess { get; private set; }

        [DataMember]
        public string Message { get; private set; }
    }
}