﻿using System;
using System.Runtime.Serialization;
using TicTacToe.Model.Model;

namespace TicTacToe.Service.DataContracts
{
    [DataContract]
    public class StepInfo
    {
        [DataMember]
        public Guid PlayerId { get; set; }

        [DataMember]
        public int OuterField { get; set; }

        [DataMember]
        public OuterFieldState OuterFieldStatus { get; set; }

        [DataMember]
        public int InnerField { get; set; }

        [DataMember]
        public GameStatus GameStatus { get; set; }

        [DataMember]
        public StepStatus StepStatus { get; set; }

        [DataMember]
        public int? NextStepAllowedOuterField { get; set; }
    }
}
