﻿using System.Runtime.Serialization;

namespace TicTacToe.Service.DataContracts
{
    [DataContract]
    public class UserInfoResult
    {
        [DataMember]
        public string Email { get; set; }
        
        [DataMember]
        public string AvatarHash { get; set; }

        [DataMember]
        public int PlayedGameCount { get; set; }

        [DataMember]
        public int WonGameCount { get; set; }

        [DataMember]
        public int LostGameCount { get; set; }

        [DataMember]
        public int DrawGameCount { get; set; }

        [DataMember]
        public int LeaveGameCount { get; set; }

        [DataMember]
        public bool IsSuccess { get; set; }
    }
}