﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TicTacToe.Service.Communication;

namespace TicTacToe.Service.Interfaces
{
    public interface IConnection

    {
        Guid Id { get; }

        DateTime LastMessageArrived { get; }

        void MessageArrived();

        void Disconnect();

        event PlayerDisconnectedEventHandler PlayerDisconnected;
    }
}
