﻿/*  
    Class for chat interaction.
*/

var chat =
{
    init: function(callback, done) {
        chat.gameChatHubProxy = $.connection.gameChatHub;
        chat.gameChatHubProxy.client.addMessage = function (message) {
            callback(message);
        };
        $.connection.hub.start().done(done);
    },

    connect: function(name) {
        chat.gameChatHubProxy.server.joinGroup(name);
        chat.groupName = name;
    },

    leave: function() {
        chat.gameChatHubProxy.server.leaveGroup(chat.groupName);
        chat.groupName = "";
    },

    sendMessage: function(message) {
        chat.gameChatHubProxy.server.postMessage(chat.groupName, message);
    }
}